jvx.numeric

## Class PnStiffMatrix

- java.lang.Object
- - jv.object.PsObject
  - - jvx.numeric.PnSparseMatrix
    - - jvx.numeric.PnStiffMatrix

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf, PdMatrixIf
  Direct Known Subclasses:
    PnMassMatrix, PnStiffAniso, PnStiffConformal, PnStiffDiriConforming, PnStiffDiriNonConforming, PnStiffSpring

      public class PnStiffMatrix
      extends PnSparseMatrix

  Create and setup sparse representation of a stiffness matrix.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `m_noe` Number of elements in surface.

    - ### Fields inherited from class jvx.numeric.PnSparseMatrix

      `USE_LARGER_BUFFER`

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnStiffMatrix(PgElementSet surface)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PdVector` | `computeRightVector(PgElementSet geom, PgVectorField field, boolean conforming, boolean rotateGradient, PdVector weights)` Evaluate the right vector of the equations system Laplace(u) = div(K).
    `static PnSparseMatrix` | `computeStiffnessMatrix(PgElementSet geom, boolean conforming, PdVector weights)` Compute the entries of the stiffness matrix either conforming or non-conforming.
    `void` | `init(PgElementSet surface)` Initializes the stiffness matrix by computing the index vector and matrix entries.
    `void` | `init(PgElementSet domain, PgElementSet surface)` Initializes the stiffness matrix by computing the index vector and matrix entries.

    - ### Methods inherited from class jvx.numeric.PnSparseMatrix

      `add, add, addDiagonal, addDiagonal, addEntry, addNew, appendEntry, clear, clearRow, compress, concatMatrices, copy, copyNew, deleteColumn, deleteRow, getColIndex, getColIndices, getColIndices, getDiagIndex, getEntries, getEntries, getEntry, getEntrySparse, getIndex, getNumCols, getNumEntries, getNumEntries, getNumRows, isSquare, leftMultMatrix, leftMultVector, leftMultVector, leftMultVector, leftMultVector, multMatrices, multQuadratic, multScalar, multScalar, removeZeros, rightMultMatrix, rightMultVector, rightMultVector, rightMultVector, rightMultVector, setEntry, setEntrySparse, setNumEntries, setRow, setSize, setSize, setSize, sortEntries, sub, subNew, toPdMatrix, toShortString, toString, transpose, transpose, transposeNew, transposeNew, validate`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, init, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### m_noe

          public int m_noe

      Number of elements in surface.

  - ### Constructor Detail

    - #### PnStiffMatrix

          public PnStiffMatrix(PgElementSet surface)

  - ### Method Detail

    - #### init

          public void init(PgElementSet surface)

      Initializes the stiffness matrix by computing the index vector and matrix entries. Method can be used to reset the stiffness matrix. All memory allocation is done in constructor.

    - #### init

          public void init(PgElementSet domain,
                  PgElementSet surface)

      Initializes the stiffness matrix by computing the index vector and matrix entries. Method can be used to reset the stiffness matrix. All memory allocation is done in constructor.

    - #### computeStiffnessMatrix

          public static PnSparseMatrix computeStiffnessMatrix(PgElementSet geom,
                                              boolean conforming,
                                              PdVector weights)

      Compute the entries of the stiffness matrix either conforming or non-conforming.
      Parameters:
        `conforming` - Specifies whether the matrix works on conforming or non-conforming maps.
        `weights` - Weights for each triangle. May be null.

    - #### computeRightVector

          public static PdVector computeRightVector(PgElementSet geom,
                                    PgVectorField field,
                                    boolean conforming,
                                    boolean rotateGradient,
                                    PdVector weights)

      Evaluate the right vector of the equations system Laplace(u) = div(K). TODO: this method requires element normals, must be avoid and intrinsic rotation used TODO: place of this method must be re-thought!
      Parameters:
        `geom` - Geometry to work on.
        `field` - Given vector field.
        `conforming` - Whether the energy should operate on the set of
        `weights` - Weights for each triangle. May be null.

"

The software JavaView? is copyright protected. All Rights Reserved.
"